POST api/v1/users/{userId}/login
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userId | integer |
Required |
Body Parameters
UserModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UserName | string |
Required |
|
| Password | string |
Required Data type: Password String length: inclusive between 6 and 100 |
|
| ConfirmPassword | string |
Data type: Password |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userName": "sample string 1",
"password": "sample string 2",
"confirmPassword": "sample string 3",
"userId": 4
}
application/xml, text/xml
Sample:
<UserModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Workpilot.ServiceLayer.Models"> <ConfirmPassword>sample string 3</ConfirmPassword> <Password>sample string 2</Password> <UserId>4</UserId> <UserName>sample string 1</UserName> </UserModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.